Gemini Omni Flash
Gemini Omni Flash is Google’s video model for 4- to 10-second clips from text prompts. Gemini Omni Flash 1.1 is its newer successor.
From
$0.1378 / sec
up to $0.1378 / sec
Draft clip
$0.55
4s · default
Production clip
$1.38
10s · default
Max resolution
—
1 option
Duration
4–10s
4 options
Audio
None
Pricing
USD per clipDuration
Per clip
$0.55
4s · silent
Per second
$0.1375
this clip
| Duration | Default |
|---|---|
| 4s | |
| 6s | |
| 8s | |
| 10s |
Quoted from POST /video/quote on Nov 12, 2026.
Examples
Specs
- Model ID
gemini-omni-flash-text-to-video- Endpoint
POST /api/v1/video/queue- Mode
- Text to video
- Inputs
- Prompt
- Durations
- 4s, 6s, 8s, 10s
- Aspect ratios
- 16:99:16
- Audio
- Silent output
- Added
- Jun 30, 2026
POST
/api/v1/video/queue# 1. Queue the job (returns a queue_id)
curl https://api.venice.ai/api/v1/video/queue \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "gemini-omni-flash-text-to-video",
"prompt": "Slow aerial drone shot over a misty mountain valley at golden hour",
"duration": "4s",
"aspect_ratio": "16:9"
}'
# 2. Poll until the MP4 is ready
curl https://api.venice.ai/api/v1/video/retrieve \
-H "Authorization: Bearer $VENICE_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "model": "gemini-omni-flash-text-to-video", "queue_id": "<queue_id>" }' --output video.mp4Privacy
Tier 1 · this model
Anonymized
Venice hides your identity and stores no prompts. Google still sees the content.
Tier 2
Private
Not available
Tier 3
TEE
Not available
Tier 4
End-to-end encrypted
Not available
Variants
| Variant | Model ID | From |
|---|---|---|
gemini-omni-flash-text-to-video | $0.1378 / sec | |
gemini-omni-flash-image-to-video | $0.1427 / sec | |
gemini-omni-flash-reference-to-video | $0.1427 / sec |